playerc_power_t Struct Reference
power

Power device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | valid
| status bits. More...
double | charge
| Battery charge (Volts). More...
double | percent
| Battery charge (percent full). More...
double | joules
| energy stored (Joules)
double | watts
| power currently being used (Watts). More...
int | charging
| charging flag. More...

## Detailed Description

Power device data.

## Member Data Documentation

double playerc_power_t::charge

Battery charge (Volts).

int playerc_power_t::charging

charging flag.

TRUE if charging, else FALSE

playerc_device_t playerc_power_t::info

Device info; must be at the start of all device structures.

double playerc_power_t::percent

Battery charge (percent full).

int playerc_power_t::valid

status bits.

Bitwise-and with PLAYER_POWER_MASK_ values to see which fields are being set by the driver.

double playerc_power_t::watts

power currently being used (Watts).

Negative numbers indicate charging.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45